## sphinxcontrib-httpdomain 1.5.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -T -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sphinxcontrib-httpdomain.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sphinxcontrib-httpdomain.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sphinxcontrib-httpdomain"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sphinxcontrib-httpdomain"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== test/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sphinxcontrib-httpdomain-acceptancetest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sphinxcontrib-httpdomain-acceptancetest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sphinxcontrib-httpdomain-acceptancetest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sphinxcontrib-httpdomain-acceptancetest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## sphinxcontrib-httpdomain 1.1.8

=== debian/changelog ===
sphinxcontrib-httpdomain (1.1.8-2) unstable; urgency=low

  * Building python-sphinxcontrib-httpdomain as it should now.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Jul 2013 17:57:04 +0800

sphinxcontrib-httpdomain (1.1.8-1) unstable; urgency=low

  * Initial release. (Closes: #717466)

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 20:30:51 +0800

=== debian/control ===
Source: sphinxcontrib-httpdomain
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6-3~), openstack-pkg-tools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/sphinxcontrib-httpdomain.git
Vcs-Git: git://anonscm.debian.org/openstack/sphinxcontrib-httpdomain.git
Homepage: http://pythonhosted.org/sphinxcontrib-httpdomain/

Package: python-sphinxcontrib-httpdomain
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Description: Sphinx domain for HTTP APIs
 This contrib extension, sphinxcontrib.httpdomain provides a Sphinx domain for
 describing RESTful HTTP APIs. It generates RESTful HTTP API reference
 documentation from a Flask application’s routing table, similar to
 sphinx.ext.autodoc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2

override_dh_clean:
	patch -R -N -p1 -s <debian/cleanit.patch || true
	rm -f sphinxcontrib_httpdomain.egg-info/PKG-INFO.rej sphinxcontrib_httpdomain.egg-info/SOURCES.txt.rej
	dh_clean

## sphinxcontrib-httpdomain 1.3.0

=== debian/changelog ===
sphinxcontrib-httpdomain (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #763800).
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/options.
  * Removed debian/cleanit.patch hack.
  * Switched to namespace package as it should (eg: sphinxcontrib.httpdomain).
  * Added Python 3.x support.
  * Do not run useless dh_* calls.
  * Standards-Version is now 3.9.6 (no change).
  * Added upstream email address in debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Oct 2014 10:17:30 +0800

=== debian/control ===
Source: sphinxcontrib-httpdomain
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all (>= 3.2),
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/sphinxcontrib-httpdomain.git
Vcs-Git: git://anonscm.debian.org/openstack/sphinxcontrib-httpdomain.git
Homepage: http://pythonhosted.org/sphinxcontrib-httpdomain/

Package: python-sphinxcontrib.httpdomain
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Breaks: python-sphinxcontrib-httpdomain (<< 1.3.0-1~)
Replaces: python-sphinxcontrib-httpdomain (<< 1.3.0-1~)
Description: Sphinx domain for HTTP APIs - Python 2.x
 This contrib extension, sphinxcontrib.httpdomain provides a Sphinx domain for
 describing RESTful HTTP APIs. It generates RESTful HTTP API reference
 documentation from a Flask application’s routing table, similar to
 sphinx.ext.autodoc.
 .
 This package provides the Python 2.x module.

Package: python3-sphinxcontrib.httpdomain
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: Sphinx domain for HTTP APIs - Python 3.x
 This contrib extension, sphinxcontrib.httpdomain provides a Sphinx domain for
 describing RESTful HTTP APIs. It generates RESTful HTTP API reference
 documentation from a Flask application’s routing table, similar to
 sphinx.ext.autodoc.
 .
 This package provides the Python 3.x module.

Package: python-sphinxcontrib-httpdomain
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-sphinxcontrib.httpdomain, ${misc:Depends}
Description: Sphinx domain for HTTP APIs - transition package
 This contrib extension, sphinxcontrib.httpdomain provides a Sphinx domain for
 describing RESTful HTTP APIs. It generates RESTful HTTP API reference
 documentation from a Flask application’s routing table, similar to
 sphinx.ext.autodoc.
 .
 This is a metapackage for the transition to python-sphinxcontrib.httpdomain.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-sphinxcontrib.httpdomain; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-sphinxcontrib.httpdomain; \
	done

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## sphinxcontrib-httpdomain 1.5.0

=== debian/changelog ===
sphinxcontrib-httpdomain (1.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Add missing dh-python build-depends.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 17:11:46 +0200

sphinxcontrib-httpdomain (1.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Add upstream patch to fix Sphinx 1.6 compat (Closes: #878296).
  * Drop transition package and update debian/control.
  * Fixed debian/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2017 19:35:50 +0000

=== debian/control ===
Source: sphinxcontrib-httpdomain
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-httpdomain
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-httpdomain.git
Homepage: http://pythonhosted.org/sphinxcontrib-httpdomain/

Package: python-sphinxcontrib.httpdomain
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: Sphinx domain for HTTP APIs - Python 2.x
 This contrib extension, sphinxcontrib.httpdomain provides a Sphinx domain for
 describing RESTful HTTP APIs. It generates RESTful HTTP API reference
 documentation from a Flask application’s routing table, similar to
 sphinx.ext.autodoc.
 .
 This package provides the Python 2.x module.

Package: python3-sphinxcontrib.httpdomain
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx domain for HTTP APIs - Python 3.x
 This contrib extension, sphinxcontrib.httpdomain provides a Sphinx domain for
 describing RESTful HTTP APIs. It generates RESTful HTTP API reference
 documentation from a Flask application’s routing table, similar to
 sphinx.ext.autodoc.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
+UPSTREAM_GIT := https://github.com/sphinx-contrib/httpdomain
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

## sphinxcontrib-httpdomain 1.7.0

=== debian/changelog ===
sphinxcontrib-httpdomain (1.7.0-3) unstable; urgency=medium

  * Remove Add_missing_call_to_add_domain.patch (Closes: #996038).

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 Oct 2021 21:54:57 +0200

sphinxcontrib-httpdomain (1.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 15:32:55 +0200

sphinxcontrib-httpdomain (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Update_http_domain_detection_to_work_with_new_Sphinx.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Mar 2021 22:09:48 +0100

sphinxcontrib-httpdomain (1.5.0-4) unstable; urgency=medium

  * Import commit 8243bb6ec1ea0f3c96e0ed6177e743963fdd908b from upstream.
    The patch added in 1.5.0-1 had rendered the package unusable.
    Closes: #958064.

 -- Martina Ferrari <tina@debian.org>  Sat, 18 Apr 2020 00:06:14 +0000

sphinxcontrib-httpdomain (1.5.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Drop Python 2 support (Closes: #938534).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 10:36:24 +0200

=== debian/control ===
Source: sphinxcontrib-httpdomain
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-httpdomain
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-httpdomain.git
Homepage: http://pythonhosted.org/sphinxcontrib-httpdomain/

Package: python3-sphinxcontrib.httpdomain
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx domain for HTTP APIs - Python 3.x
 This contrib extension, sphinxcontrib.httpdomain provides a Sphinx domain for
 describing RESTful HTTP APIs. It generates RESTful HTTP API reference
 documentation from a Flask application’s routing table, similar to
 sphinx.ext.autodoc.
 .
 This package provides the Python 3.x module.

## sphinxcontrib-httpdomain 1.8.0

=== debian/changelog ===
sphinxcontrib-httpdomain (1.8.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046758).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:29:25 +0200

sphinxcontrib-httpdomain (1.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:10:46 +0100

sphinxcontrib-httpdomain (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Feb 2022 12:21:57 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/sphinx-contrib/httpdomain
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

## sphinxcontrib-httpdomain 1.8.1

=== debian/changelog ===
sphinxcontrib-httpdomain (1.8.1-2) unstable; urgency=medium

  * Fix syntax warning (Closes: #1087095).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Nov 2024 08:48:53 +0100

sphinxcontrib-httpdomain (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: use mode=git and github (Closes: #1069080).
  * Fix homepage.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 15:02:08 +0200

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/sphinx-contrib/httpdomain refs/tags/(\d[brc\d\.]+)

## sphinxcontrib-httpdomain 2.0.0

=== debian/changelog ===
sphinxcontrib-httpdomain (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
  * d/patches: drop integrated patches
  * d/{control,rules}: switch to pybuild.
  * d/p/patch-build-system.patch: switch back to setuptools.
  * d/p/author-emails.patch: patch obsfuscated email / wrong format.
  * d/p/drop-license-classifier.patch: remove deprecated license classifier.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Fri, 27 Feb 2026 15:26:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 99~),
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Standards-Version: 4.1.3

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info
+	rm -rf build .stestr *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
